include "basics/pts.ma".
include "bool.ma".
include "connectives.ma".
include "leibniz.ma".
include "nat.ma".
axiom bigop : \forall H : Type[0] . nat -> (nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H.
axiom bigop_body : \forall H : Type[0] . nat -> (nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H.
axiom axiom_bigop_S : \forall H. \forall (n:nat). (equal) ((nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H) ((bigop) (H) ((S)  n)) ((bigop_body) (H) ((S)  n)).
definition eq_bigop_S : \forall H. \forall (n:nat). (leibniz) ((nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H) ((bigop) (H) ((S)  n)) ((bigop_body) (H) ((S)  n)) := \lambda H : Type[0]. \lambda n : nat. ((((equal_leibniz) ((nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H)) ((bigop) (H) ((S)  n))) ((bigop_body) (H) ((S)  n))) (((axiom_bigop_S) (H)) (n)).
definition sym_eq_bigop_S : \forall H. \forall (n:nat). (leibniz) ((nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H) ((bigop_body) (H) ((S)  n)) ((bigop) (H) ((S)  n)) := \lambda H : Type[0]. \lambda n : nat. ((((sym_leibniz) ((nat -> bool) -> H -> (H -> H -> H) -> (nat -> H) -> H)) ((bigop) (H) ((S)  n))) ((bigop_body) (H) ((S)  n))) (((eq_bigop_S) (H)) (n)).
